Bug 185409 - Palm sync on USB crashes kernel
Palm sync on USB crashes kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 10:19 EST by Rob Kenna
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 15:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (657.56 KB, image/jpeg)
2006-06-15 10:55 EDT, Rob Kenna
no flags Details
traceback (603.99 KB, image/jpeg)
2006-06-15 11:11 EDT, Rob Kenna
no flags Details
traceback (572.05 KB, image/jpeg)
2006-06-15 11:12 EDT, Rob Kenna
no flags Details
Test fix 1 (1.71 KB, patch)
2006-06-16 04:14 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Rob Kenna 2006-03-14 10:19:06 EST
Description of problem:
Hitting the sync button on a Kyocera USB cradle latches up (crashes) the kernel

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. With Palm/phone in USB cradle hit sync button
2. Wait for timeout or hit cancel
3. Kernel latches up
  
Actual results:
Kernel latches up

Expected results:


Additional info:
Comment 1 Harald Hoyer 2006-03-14 10:52:04 EST
so why didn't you assign it to the kernel???
Comment 2 Pete Zaitcev 2006-03-14 13:16:09 EST
Unfortunately, I do not have a Pilot of any kind... Rob, can you switch
to text mode (Ctrl-Alt-F1) before timeout and get me a picture with
a webcam? There should be an oops (well, hopefuly. if not, we need to
create one with sysrq or nmi_watchdog).
Comment 3 Pete Zaitcev 2006-05-17 22:04:22 EDT
See also bug 178873.

Rob, I do need that oops very much. If nothing else, I'll see if it's
the same problem as the 178873.
Comment 4 Rob Kenna 2006-05-17 22:35:05 EDT
I'll try and reproduce tomorrow (5/18)
Comment 5 Rob Kenna 2006-06-15 10:55:37 EDT
Created attachment 130980 [details]
traceback
Comment 6 Rob Kenna 2006-06-15 11:11:41 EDT
Created attachment 130984 [details]
traceback
Comment 7 Rob Kenna 2006-06-15 11:12:55 EDT
Created attachment 130985 [details]
traceback

if too hard to read, I can re-run
Comment 8 Pete Zaitcev 2006-06-15 22:39:31 EDT
I need the precise kernel version, Rob. Then I use the binaries to match
offsets and find the fault instruction. cat /proc/version is the best.
Comment 9 Pete Zaitcev 2006-06-15 22:44:15 EDT
Oh wait, silly me. The third traceback had the BUG statement with the
line number, so I don't need to match offsets. Still, the version would be
helpful.

Also... Can you capture /proc/bus/usb/devices when the organizer is connected
without crashing the box? That would be great.
Comment 10 Pete Zaitcev 2006-06-16 04:14:37 EDT
Created attachment 131025 [details]
Test fix 1

This is something to try. The patch attempts to prevent the scheduled work
to be run from a freed port memory.
Comment 11 Rob Kenna 2006-06-16 13:47:08 EDT
kernel was 2122, though it's been broken in FC5 throughout.  

You have a built kernel?  I can build one, but it'll take a bit of time.
Comment 12 Pete Zaitcev 2006-06-16 23:28:32 EDT
Rob, please try one at http://people.redhat.com/zaitcev/ftp/185409/
Also, if it crashes, I'd like the camera a little bit away from the screen.
Comment 13 Rob Kenna 2006-08-02 10:22:51 EDT
No longer crashes with the fix.
Comment 14 Pete Zaitcev 2006-08-02 14:51:16 EDT
OK, I think we fixed that at least upstream. 2.6.18-rc2 has the changes.
Rob, I'll close it for now with "upstream", but please keep in mind that
FC5 will only get the update after a rebase. Today's tip is 2.6.17-1.2157_FC5,
which does not have the fix.

Note You need to log in before you can comment on or make changes to this bug.